Skip to main content
Media Manager

List media library items - Version 2

Enumerate items in the media library. If no filters are applied it will list all available media library items.

GET
/api/v2/media

Note: If using multiple search parameters, the results will be return only if all of the search parameters match.

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

verbosebooleanquery

Verbose output flag

Example: true
sincestringquery

Starting date in utc

Example: 2018-09-20T00:00:00Z
tagstringquery

Search tag

Example: dogs
idintegerquery

Returns details on media item with specified id

Example: 4362
namestringquery

Returns details on the item that contains text specified (case insensitive)

Example: large
typestringquery

Returns details on items of a particular mime type (partial type string allowed)

Example: video
folderstringquery

Returns details on items directly inside specified folder

Example: /Unassigned
pageintegerquery

page of results to select

Example: 1
orderstringquery

the options are created, updated, type, id, name and size. default is created

Example: created
directionstringquery

asc or desc. default is asc

Example: asc

Response

200application/json

Success (schema inferred from live response captured 2026-10-07)

dataobject[]
paginationobject